<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core">

    <ui:composition template="/template.xhtml">
        <ui:define name="title">
            <h:outputText value="#{bundle.ViewKorisnikTitle}"></h:outputText>
        </ui:define>
        <ui:define name="body">
            <h:panelGroup id="messagePanel" layout="block">
                <h:messages errorStyle="color: red" infoStyle="color: green" layout="table"/>
            </h:panelGroup>
            <h:form>
                <h:panelGrid columns="2">
                    <h:outputText value="#{bundle.ViewKorisnikLabel_korisnikId}"/>
                    <h:outputText value="#{korisnikController.selected.korisnikId}" title="#{bundle.ViewKorisnikTitle_korisnikId}"/>
                    <h:outputText value="#{bundle.ViewKorisnikLabel_username}"/>
                    <h:outputText value="#{korisnikController.selected.username}" title="#{bundle.ViewKorisnikTitle_username}"/>
                    <h:outputText value="#{bundle.ViewKorisnikLabel_password}"/>
                    <h:outputText value="#{korisnikController.selected.password}" title="#{bundle.ViewKorisnikTitle_password}"/>
                    <h:outputText value="#{bundle.ViewKorisnikLabel_email}"/>
                    <h:outputText value="#{korisnikController.selected.email}" title="#{bundle.ViewKorisnikTitle_email}"/>
                    <h:outputText value="#{bundle.ViewKorisnikLabel_ime}"/>
                    <h:outputText value="#{korisnikController.selected.ime}" title="#{bundle.ViewKorisnikTitle_ime}"/>
                    <h:outputText value="#{bundle.ViewKorisnikLabel_prezime}"/>
                    <h:outputText value="#{korisnikController.selected.prezime}" title="#{bundle.ViewKorisnikTitle_prezime}"/>
                    <h:outputText value="#{bundle.ViewKorisnikLabel_datumRodjenja}"/>
                    <h:outputText value="#{korisnikController.selected.datumRodjenja}" title="#{bundle.ViewKorisnikTitle_datumRodjenja}">
                        <f:convertDateTime pattern="MM/dd/yyyy" />
                    </h:outputText>
                    <h:outputText value="#{bundle.ViewKorisnikLabel_pol}"/>
                    <h:outputText value="#{korisnikController.selected.pol}" title="#{bundle.ViewKorisnikTitle_pol}"/>
                    <h:outputText value="#{bundle.ViewKorisnikLabel_aktivan}"/>
                    <h:outputText value="#{korisnikController.selected.aktivan}" title="#{bundle.ViewKorisnikTitle_aktivan}"/>
                    <h:outputText value="#{bundle.ViewKorisnikLabel_zaposlen}"/>
                    <h:outputText value="#{korisnikController.selected.zaposlen}" title="#{bundle.ViewKorisnikTitle_zaposlen}"/>
                    <h:outputText value="#{bundle.ViewKorisnikLabel_rolaId}"/>
                    <h:outputText value="#{korisnikController.selected.rolaId}" title="#{bundle.ViewKorisnikTitle_rolaId}"/>
                </h:panelGrid>
                <br />
                <h:commandLink action="#{korisnikController.destroyAndView}" value="#{bundle.ViewKorisnikDestroyLink}"/>
                <br />
                <br />
                <h:link outcome="Edit" value="#{bundle.ViewKorisnikEditLink}"/>
                <br />
                <h:commandLink action="#{korisnikController.prepareCreate}" value="#{bundle.ViewKorisnikCreateLink}" />
                <br />
                <h:commandLink action="#{korisnikController.prepareList}" value="#{bundle.ViewKorisnikShowAllLink}"/>
                <br />
                <br />
                <h:link outcome="/index" value="#{bundle.ViewKorisnikIndexLink}"/>

            </h:form>
        </ui:define>
    </ui:composition>

</html>
